// File:  ADTStack\StackIfx.java

/**
 * Realization of a Stack ADT
 * 
 * @author Bary W Pollack
 * @version Jan. 2, 2001 - 19:00 PST
 */

// This is the Stack Interface

// Every Stack must provide implementations of these methods
// (Remember, each of these methods is 'public' by default)

interface StackIfx {
    void create();
    boolean isEmpty()    throws StackException;
    boolean isFull()     throws StackException;
    int size()           throws StackException;
    void push(Item item) throws StackException;
    Item pop()           throws StackException;
    void popAll()        throws StackException;
    Item peek()          throws StackException;
    void display()       throws StackException;
    String toString();
}
